package com.writeoff.module.setting.invoiceprofile.model;

public class InvoiceProfileInfo {
    private Long id;
    private String companyName;
    private String taxNo;
    private String bankName;
    private String accountNo;
    private String address;
    private String phone;
    private Long defaultProjectId;
    private String status;

    public InvoiceProfileInfo(Long id, String companyName, String taxNo, String bankName, String accountNo, String address, String phone, Long defaultProjectId, String status) {
        this.id = id;
        this.companyName = companyName;
        this.taxNo = taxNo;
        this.bankName = bankName;
        this.accountNo = accountNo;
        this.address = address;
        this.phone = phone;
        this.defaultProjectId = defaultProjectId;
        this.status = status;
    }

    public Long getId() {
        return id;
    }

    public String getCompanyName() {
        return companyName;
    }

    public String getTaxNo() {
        return taxNo;
    }

    public String getBankName() {
        return bankName;
    }

    public String getAccountNo() {
        return accountNo;
    }

    public String getAddress() {
        return address;
    }

    public String getPhone() {
        return phone;
    }

    public Long getDefaultProjectId() {
        return defaultProjectId;
    }

    public String getStatus() {
        return status;
    }
}
